PHPAB(1)

NAME
phpab - PHPAB command line interface

SYNOPSIS
phpab [switches] <directory1|file1|/path/to/composer.json> [...<directoryN|fileN>]

DESCRIPTION
phpab %development% - Copyright (C) 2009 - 2023 by Arne Blankerts and Contributors

-i, --include
    File pattern to include (default: *.php)

-e, --exclude
    File pattern to exclude

--blacklist
    Blacklist classname or namespace (wildcards supported)

--whitelist
    Whitelist classname or namespace (wildcards supported)

-b, --basedir
    Basedir for filepaths

-t, --template
    Path to code template to use

-o, --output
    Output file for generated code (default: STDOUT)

-p, --phar
    Create a phar archive (requires -o )

--all
    Include all files in given directory when creating a phar

--alias
    Specify explicit internal phar alias filename (default: output filename)

--hash
    Force given hash algorithm (SHA-1, SHA-256 or SHA-512) (requires -p, conflicts with --key)

--bzip2
    Compress phar archive using bzip2 (requires -p) (bzip2 required)

--gzip
    Compress phar archive using gzip (requires -p) (gzip required)

--key
    OpenSSL key file to use for signing phar archive (requires -p) (openssl required)

-c, --compat
    Generate PHP 5.2 compatible code

-s, --static
    Generate a static require file

-w, --warm
    Generate a static opcache warming file

--reset
    Add opcache reset call when generating opcache warming file

-1, --prepend
    Register as first autoloader (prepend to stack, default: append)

-d, --no-exception
    Do not throw exception on registration problem (default: throw exception)

-n, --nolower
    Do not lowercase classnames for case insensitivity

-q, --quiet
    Quiet mode, do not output any processing errors or information

--cache <file>
    Enable caching and set filename to use for cache storage

--follow
    Enables following symbolic links (not compatible with phar mode)

--format
    Dateformat string for timestamp

--linebreak
    Linebreak style (CR, CRLF or LF, default: LF)

--indent
    String used for indenting or number of spaces (default: 16 (compat 12) spaces)

--tolerant
    Ignore Class Redeclarations in the same file

--once
    Use require_once instead of require when creating a static require file

--trusting
    Do not check mimetype of files prior to parsing (default)

--paranoid
    Do check mimetype of files prior to parsing

--var name=foo
    Assign value 'foo' to variable 'name' to be used in (custom) templates

--lint
    Run lint on generated code and exit

--lint-php
    PHP binary to use for linting (default: /usr/bin/php or c:\php\php.exe)

-h, --help
    Prints this usage information

-v, --version
    Prints the version and exits